Overview | Package | Class | Tree | Deprecated | Index | Help
| XQJ v1.0, Jan 14, 2008
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xquery
Class XQConstants

    java.lang.Object
      javax.xml.xquery.XQConstants

    public final class XQConstants

extends java.lang.Object

`XQConstants` class provides constants that can be used in the XQJ API.

Field Summary
`static int` | `BINDING_MODE_DEFERRED` The constant indicating the binding mode deferred, refer to `XQDynamicContext` for more information.
`static int` | `BINDING_MODE_IMMEDIATE` The constant indicating the binding mode immediate, refer to `XQDynamicContext` for more information.
`static int` | `BOUNDARY_SPACE_PRESERVE` The constant indicating the the boundary-space policy for expression evaluation is to preserve white spaces
`static int` | `BOUNDARY_SPACE_STRIP` The constant indicating the the boundary-space policy for expression evaluation is to strip white spaces
`static int` | `CONSTRUCTION_MODE_PRESERVE` The constant indicating that the type of a constructed element node is `xs:anyType`, and all attribute and element nodes copied during node construction retain their original types.
`static int` | `CONSTRUCTION_MODE_STRIP` The constant indicating that the type of a constructed element node is `xs:untyped`; all element nodes copied during node construction receive the type `xs:untyped`, and all attribute nodes copied during node construction receive the type `xs:untypedAtomic`.
`static javax.xml.namespace.QName` | `CONTEXT_ITEM` Defines the `QName` for the context item.
`static int` | `COPY_NAMESPACES_MODE_INHERIT` The constant indicating that the inherit mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language
`static int` | `COPY_NAMESPACES_MODE_NO_INHERIT` The constant indicating that the no-inherit mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language
`static int` | `COPY_NAMESPACES_MODE_NO_PRESERVE` The constant indicating that the no-preserve mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language
`static int` | `COPY_NAMESPACES_MODE_PRESERVE` The constant indicating that the preserve mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language
`static int` | `DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_GREATEST` The constant indicating that ordering of empty sequences and NaN values as keys in an order by clause in a FLWOR expression is "greatest".
`static int` | `DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_LEAST` The constant indicating that ordering of empty sequences and NaN values as keys in an order by clause in a FLWOR expression is "least".
`static int` | `HOLDTYPE_CLOSE_CURSORS_AT_COMMIT` The constant indicating that the result sequences must be closed when the commit on the connection is called.
`static int` | `HOLDTYPE_HOLD_CURSORS_OVER_COMMIT` The constant indicating that the result sequences must be preserved when the commit on the connection is called.
`static int` | `LANGTYPE_XQUERY` The constant indicating that the expression language used in `XQConnection.prepareExpression` and `XQExpression.execute` is XQuery (any version).
`static int` | `LANGTYPE_XQUERYX` The constant indicating that the expression language used in `XQConnection.prepareExpression` and `XQExpression.execute` is XQueryX.
`static int` | `ORDERING_MODE_ORDERED` The constant indicating that ordered results are to be returned by certain path expressions, union, intersect, and except expressions, and FLWOR expressions that have no order by clause.
`static int` | `ORDERING_MODE_UNORDERED` The constant indicating that unordered results are to be returned by certain path expressions, union, intersect, and except expressions, and FLWOR expressions that have no order by clause.
`static int` | `SCROLLTYPE_FORWARD_ONLY` The constant indicating that the result sequence can only be scrolled forward.
`static int` | `SCROLLTYPE_SCROLLABLE` The constant indicating that the result sequence can be scrolled forward or backward and is insensitive to any updates done on the underlying objects

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOLDTYPE_CLOSE_CURSORS_AT_COMMIT

    public static final int HOLDTYPE_CLOSE_CURSORS_AT_COMMIT

  The constant indicating that the result sequences must be closed when the commit on the connection is called.

  See Also:
    Constant Field Values

### HOLDTYPE_HOLD_CURSORS_OVER_COMMIT

    public static final int HOLDTYPE_HOLD_CURSORS_OVER_COMMIT

  The constant indicating that the result sequences must be preserved when the commit on the connection is called.

  See Also:
    Constant Field Values

### SCROLLTYPE_FORWARD_ONLY

    public static final int SCROLLTYPE_FORWARD_ONLY

  The constant indicating that the result sequence can only be scrolled forward.

  See Also:
    Constant Field Values

### SCROLLTYPE_SCROLLABLE

    public static final int SCROLLTYPE_SCROLLABLE

  The constant indicating that the result sequence can be scrolled forward or backward and is insensitive to any updates done on the underlying objects

  See Also:
    Constant Field Values

### LANGTYPE_XQUERY

    public static final int LANGTYPE_XQUERY

  The constant indicating that the expression language used in `XQConnection.prepareExpression` and `XQExpression.execute` is XQuery (any version).

  See Also:
    Constant Field Values

### LANGTYPE_XQUERYX

    public static final int LANGTYPE_XQUERYX

  The constant indicating that the expression language used in `XQConnection.prepareExpression` and `XQExpression.execute` is XQueryX.

  See Also:
    Constant Field Values

### BOUNDARY_SPACE_PRESERVE

    public static final int BOUNDARY_SPACE_PRESERVE

  The constant indicating the the boundary-space policy for expression evaluation is to preserve white spaces

  See Also:
    Constant Field Values

### BOUNDARY_SPACE_STRIP

    public static final int BOUNDARY_SPACE_STRIP

  The constant indicating the the boundary-space policy for expression evaluation is to strip white spaces

  See Also:
    Constant Field Values

### CONSTRUCTION_MODE_PRESERVE

    public static final int CONSTRUCTION_MODE_PRESERVE

  The constant indicating that the type of a constructed element node is `xs:anyType`, and all attribute and element nodes copied during node construction retain their original types.

  See Also:
    Constant Field Values

### CONSTRUCTION_MODE_STRIP

    public static final int CONSTRUCTION_MODE_STRIP

  The constant indicating that the type of a constructed element node is `xs:untyped`; all element nodes copied during node construction receive the type `xs:untyped`, and all attribute nodes copied during node construction receive the type `xs:untypedAtomic`.

  See Also:
    Constant Field Values

### ORDERING_MODE_ORDERED

    public static final int ORDERING_MODE_ORDERED

  The constant indicating that ordered results are to be returned by certain path expressions, union, intersect, and except expressions, and FLWOR expressions that have no order by clause.

  See Also:
    Constant Field Values

### ORDERING_MODE_UNORDERED

    public static final int ORDERING_MODE_UNORDERED

  The constant indicating that unordered results are to be returned by certain path expressions, union, intersect, and except expressions, and FLWOR expressions that have no order by clause.

  See Also:
    Constant Field Values

### DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_GREATEST

    public static final int DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_GREATEST

  The constant indicating that ordering of empty sequences and NaN values as keys in an order by clause in a FLWOR expression is "greatest". See 3.8.3 Order By and Return Clauses, XQuery 1.0: An XML Query Language for details.

  See Also:
    Constant Field Values

### DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_LEAST

    public static final int DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_LEAST

  The constant indicating that ordering of empty sequences and NaN values as keys in an order by clause in a FLWOR expression is "least". See 3.8.3 Order By and Return Clauses, XQuery 1.0: An XML Query Language for details.

  See Also:
    Constant Field Values

### COPY_NAMESPACES_MODE_PRESERVE

    public static final int COPY_NAMESPACES_MODE_PRESERVE

  The constant indicating that the preserve mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language

  See Also:
    Constant Field Values

### COPY_NAMESPACES_MODE_NO_PRESERVE

    public static final int COPY_NAMESPACES_MODE_NO_PRESERVE

  The constant indicating that the no-preserve mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language

  See Also:
    Constant Field Values

### COPY_NAMESPACES_MODE_INHERIT

    public static final int COPY_NAMESPACES_MODE_INHERIT

  The constant indicating that the inherit mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language

  See Also:
    Constant Field Values

### COPY_NAMESPACES_MODE_NO_INHERIT

    public static final int COPY_NAMESPACES_MODE_NO_INHERIT

  The constant indicating that the no-inherit mode should be used in namespace binding assignement when an existing element node is copied by an element constructor, as described in 3.7.1 Direct Element Constructors, XQuery 1.0: An XML Query Language

  See Also:
    Constant Field Values

### CONTEXT_ITEM

    public static final javax.xml.namespace.QName CONTEXT_ITEM

  Defines the `QName` for the context item. This is used to bind values to the context item via the bind methods of `XQDynamicContext`.

### BINDING_MODE_IMMEDIATE

    public static final int BINDING_MODE_IMMEDIATE

  The constant indicating the binding mode immediate, refer to `XQDynamicContext` for more information.

  See Also:
    Constant Field Values

### BINDING_MODE_DEFERRED

    public static final int BINDING_MODE_DEFERRED

  The constant indicating the binding mode deferred, refer to `XQDynamicContext` for more information.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| XQJ v1.0, Jan 14, 2008
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2006, 2007, 2008 Oracle. All rights reserved.